package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.parser.CommonFileParserInterface;
import com.ynet.life.file.parser.FileParserUtil;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRichTextString;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.util.CellRangeAddress;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/BranchTolDownloadAction.class */
public class BranchTolDownloadAction extends PublicDownloadAction implements CommonFileParserInterface {
    @Override // com.ynet.life.action.PublicDownloadAction
    public String execute(Context ctx) throws GENEException {
        ctx.terminate();
        List recordList = initFromContext(ctx, this.iCollName);
        String fileType = (String) ctx.get(this.fileTypeField);
        String filePathName = getFileName(fileType);
        getLanguage(ctx);
        List titlesI18N = new ArrayList();
        writeToFile(titlesI18N, recordList, this.outputFields, this.outputFormats, filePathName, this.encoding);
        ctx.put("downloadFile", filePathName);
        return "0";
    }

    public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, String filePathName, String encoding) throws TranFailException {
        HSSFWorkbook workBook = new HSSFWorkbook();
        HSSFSheet sheet = workBook.createSheet();
        HSSFRow row = sheet.createRow(0);
        HSSFCellStyle cellStyle = workBook.createCellStyle();
        cellStyle.setAlignment((short) 2);
        cellStyle.setVerticalAlignment((short) 1);
        HSSFFont titleFont = workBook.createFont();
        titleFont.setFontName("黑体");
        titleFont.setColor((short) 8);
        titleFont.setFontHeight((short) 250);
        row.createCell(0).setCellValue("序号");
        row.createCell(1).setCellValue("机构名称");
        row.createCell(2).setCellValue("总得分");
        HSSFCell createCell = row.createCell(3);
        createCell.setCellValue("拓户增投");
        createCell.setCellStyle(cellStyle);
        HSSFCell createCell2 = row.createCell(7);
        createCell2.setCellValue("降低成本");
        createCell2.setCellStyle(cellStyle);
        HSSFCell createCell3 = row.createCell(8);
        createCell3.setCellValue("产品创新");
        createCell3.setCellStyle(cellStyle);
        HSSFCell createCell4 = row.createCell(11);
        createCell4.setCellValue("征信运用");
        createCell4.setCellStyle(cellStyle);
        HSSFCell createCell5 = row.createCell(14);
        createCell5.setCellValue("服务质效");
        createCell5.setCellStyle(cellStyle);
        HSSFRow row1 = sheet.createRow(1);
        row1.createCell(3).setCellValue("小微企业贷款投放量");
        row1.createCell(4).setCellValue("小微企业新增客户数");
        row1.createCell(5).setCellValue("平台投放小微企业贷款排名");
        row1.createCell(6).setCellValue("平台新增小微企业客户排名");
        row1.createCell(7).setCellValue("小微企业贷款平均利率");
        row1.createCell(8).setCellValue("小微企业产品投放量排名");
        row1.createCell(9).setCellValue("小微企业产品评价");
        row1.createCell(10).setCellValue("小微企业产品创新");
        row1.createCell(11).setCellValue("平台新增授权客户排名");
        row1.createCell(12).setCellValue("授信前客户信息查询率");
        row1.createCell(13).setCellValue("贷后管理客户信息查询率");
        row1.createCell(14).setCellValue("授信申请通过率");
        row1.createCell(15).setCellValue("受理审批放贷周期");
        row1.createCell(16).setCellValue("客户服务评价");
        row1.createCell(17).setCellValue("客户效率评价");
        sheet.addMergedRegion(new CellRangeAddress(0, 1, 0, 0));
        sheet.addMergedRegion(new CellRangeAddress(0, 1, 1, 1));
        sheet.addMergedRegion(new CellRangeAddress(0, 1, 2, 2));
        sheet.addMergedRegion(new CellRangeAddress(0, 0, 3, 6));
        sheet.addMergedRegion(new CellRangeAddress(0, 0, 7, 7));
        sheet.addMergedRegion(new CellRangeAddress(0, 0, 8, 10));
        sheet.addMergedRegion(new CellRangeAddress(0, 0, 11, 13));
        sheet.addMergedRegion(new CellRangeAddress(0, 0, 14, 17));
        int rowIndex = 2;
        Iterator iterator = recordList.iterator();
        while (iterator.hasNext()) {
            Map record = (Map) iterator.next();
            int i = rowIndex;
            rowIndex++;
            HSSFRow row2 = sheet.createRow(i);
            short cellIndex = 0;
            for (int i2 = 0; i2 < outputFields.size(); i2++) {
                Object obj = record.get(outputFields.get(i2)) == null ? "" : record.get(outputFields.get(i2));
                String format = (String) outputFormats.get(i2);
                String fieldValue = FileParserUtil.transformFormat(obj.toString(), format);
                short s = cellIndex;
                cellIndex = (short) (s + 1);
                createCell(row2, s, fieldValue);
            }
        }
        FileOutputStream fileOut = null;
        try {
            try {
                fileOut = new FileOutputStream(filePathName);
                workBook.write(fileOut);
                try {
                    fileOut.close();
                } catch (IOException ex) {
                    Trace.logError("LifeFile", "I/O异常", ex);
                    throw new TranFailException("EBLN0000", "I/O异常", ex);
                }
            } catch (IOException ex2) {
                Trace.logError("LifeFile", "文件写入失败", ex2);
                throw new TranFailException("EBLN0000", "文件写入失败", ex2);
            }
        } catch (Throwable th) {
            if (fileOut != null) {
                try {
                    fileOut.close();
                } catch (IOException ex3) {
                    Trace.logError("LifeFile", "I/O异常", ex3);
                    throw new TranFailException("EBLN0000", "I/O异常", ex3);
                }
            }
            throw th;
        }
    }

    public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, String filePathName, String encoding, boolean seqFlag) throws TranFailException {
    }

    public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, String filePathName, String encoding, String expressionContent) throws TranFailException {
    }

    public void writeToFile(List oneTitles, List twoTitles, List recordList, List outputFields, List titleColWidthFormats, List leftRightColMergeFormats, List topBottomColMergeFormats, String filePathName, String encoding, String reportTitle, List leftRightColMergeNum) throws TranFailException {
    }

    private void createCell(HSSFRow row, short index, String content) {
        row.createCell(index).setCellValue(new HSSFRichTextString(content));
    }

    public static void main(String[] args) {
        HSSFWorkbook workBook = new HSSFWorkbook();
        HSSFCellStyle cellStyle = workBook.createCellStyle();
        cellStyle.setAlignment((short) 2);
        cellStyle.setVerticalAlignment((short) 1);
        HSSFFont titleFont = workBook.createFont();
        titleFont.setFontName("黑体");
        titleFont.setColor((short) 8);
        titleFont.setFontHeight((short) 250);
        HSSFSheet sheet = workBook.createSheet();
        HSSFRow row = sheet.createRow(0);
        row.createCell(0).setCellValue("序号");
        row.createCell(1).setCellValue("机构名称");
        row.createCell(2).setCellValue("总得分");
        HSSFCell createCell = row.createCell(3);
        createCell.setCellValue("拓户增投");
        createCell.setCellStyle(cellStyle);
        HSSFCell createCell2 = row.createCell(7);
        createCell2.setCellValue("降低成本");
        createCell2.setCellStyle(cellStyle);
        HSSFCell createCell3 = row.createCell(8);
        createCell3.setCellValue("产品创新");
        createCell3.setCellStyle(cellStyle);
        HSSFCell createCell4 = row.createCell(11);
        createCell4.setCellValue("征信运用");
        createCell4.setCellStyle(cellStyle);
        HSSFCell createCell5 = row.createCell(14);
        createCell5.setCellValue("服务质效");
        createCell5.setCellStyle(cellStyle);
        HSSFRow row1 = sheet.createRow(1);
        row1.createCell(3).setCellValue("小微企业贷款投放量1");
        row1.createCell(4).setCellValue("小微企业新增客户数");
        row1.createCell(5).setCellValue("平台投放小微企业贷款排名");
        row1.createCell(6).setCellValue("平台新增小微企业客户排名");
        row1.createCell(7).setCellValue("小微企业贷款平均利率");
        row1.createCell(8).setCellValue("小微企业产品投放量排名");
        row1.createCell(9).setCellValue("小微企业产品评价");
        row1.createCell(10).setCellValue("小微企业产品创新");
        row1.createCell(11).setCellValue("平台新增授权客户排名");
        row1.createCell(12).setCellValue("授信前客户信息查询率");
        row1.createCell(13).setCellValue("贷后管理客户信息查询率");
        row1.createCell(14).setCellValue("授信申请通过率");
        row1.createCell(15).setCellValue("受理审批放款周期");
        row1.createCell(16).setCellValue("客户服务评价");
        row1.createCell(17).setCellValue("客户效率评价");
        sheet.addMergedRegion(new CellRangeAddress(0, 1, 0, 0));
        sheet.addMergedRegion(new CellRangeAddress(0, 1, 1, 1));
        sheet.addMergedRegion(new CellRangeAddress(0, 1, 2, 2));
        sheet.addMergedRegion(new CellRangeAddress(0, 0, 3, 6));
        sheet.addMergedRegion(new CellRangeAddress(0, 0, 7, 7));
        sheet.addMergedRegion(new CellRangeAddress(0, 0, 8, 10));
        sheet.addMergedRegion(new CellRangeAddress(0, 0, 11, 13));
        sheet.addMergedRegion(new CellRangeAddress(0, 0, 14, 17));
        HSSFWorkbook hSSFWorkbook = null;
        HSSFWorkbook hSSFWorkbook2 = null;
        try {
            try {
                hSSFWorkbook2 = new FileOutputStream("d://text.xls");
                hSSFWorkbook = workBook;
                hSSFWorkbook.write(hSSFWorkbook2);
                try {
                    hSSFWorkbook = hSSFWorkbook2;
                    hSSFWorkbook.close();
                } catch (IOException e) {
                    hSSFWorkbook.printStackTrace();
                }
            } catch (IOException e2) {
                hSSFWorkbook.printStackTrace();
                HSSFWorkbook hSSFWorkbook3 = hSSFWorkbook2;
                if (hSSFWorkbook3 != null) {
                    try {
                        hSSFWorkbook3 = hSSFWorkbook2;
                        hSSFWorkbook3.close();
                    } catch (IOException e3) {
                        hSSFWorkbook3.printStackTrace();
                    }
                }
            }
        } catch (Throwable th) {
            HSSFWorkbook hSSFWorkbook4 = hSSFWorkbook2;
            if (hSSFWorkbook4 != null) {
                try {
                    hSSFWorkbook4 = hSSFWorkbook2;
                    hSSFWorkbook4.close();
                } catch (IOException e4) {
                    hSSFWorkbook4.printStackTrace();
                }
            }
            throw th;
        }
    }
}
